# publish pressure window

publish pressure

Endpoint: POST /v1/ingress/data-sources/{dataSource}/pressure-windows
Version: v1
Security: bearer, appkey, sauth_service_token

## Security:

  - `bearer` (unknown)
    http bearer JWT

  - `appkey` (unknown)
    apiKey in header appkey

  - `sauth_service_token` (unknown)
    oauth2

## Path parameters:

  - `dataSource` (string, required)
    data source name

## Header parameters:

  - `slb-partition-id` (string, required)
    The data partition id.

## Request body:

  - `application/json, text/json, application/*+json` (unknown)
    pressure window data list

## Request fields (application/json):

  - `id` (string, required)

  - `name` (string, required)

  - `link` (string)
    URL of the source editor, drillplan will use this value let the user navigate to source and do the data modificaiton.

  - `timestamp` (string)
    object last modify time, drillplan will compare this value and the last modify time in drillplan, to decide if the source data is newer.

  - `comments` (string)

  - `wellbore_id` (string, required)
    Id of the wellore.

  - `pressures` (array, required)
    pressure curves

  - `pressures.name` (string, required)
    name of pressure curve

  - `pressures.description` (string)
    description of pressure curve

  - `pressures.pressure_type` (string, required)
    Enum: "PorePressure", "FracturePressure", "FitLot", "Others"

  - `pressures.pressure_items` (array, required)
    elements of pressure curve

  - `pressures.pressure_items.tvd` (number, required)
    tvd depth

  - `pressures.pressure_items.pressure` (number, required)
    pressure

  - `pressures.reference_identifier` (integer)
    inner identifier of pressure curve
only referenced by pore_pressure and fracture_pressure

  - `reference_elevation` (number, required)
    Depth reference point's elevation 
The value is vertical distance between reference point and MSL.  
Positive when above MSL.  Negative when below.

  - `pore_pressure` (object)

  - `pore_pressure.source_reference_id` (integer)
    inner reference, equals "reference_identifier" of one of pressure curves

## Response 204:

  - `204` (unknown)
    Success

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (text/plain):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

  - `errors` (object)

